QGIS Application - Feature request #2027
SVG symbols should be stored locally and permanently, similar to installed python plugins
Description

The current structure for adding new symbols on OS X is pretty poor (perhaps on other OS's as well?). It requires the user to copy the
relevant svg files to a location inside of an application bundle. Hence, the changes have to be done with every update of the program. In
other words, updating Qgis is destroys symbols that the user has made available.

It would be much better if there was an svg directory inside of the same directory where plugins are stored, ~/.qgis on OS X. This would
maintain symbols across versions and new builds of the program, and it would greatly simplify adding svg symbols on a per-user basis.

Ideally, there would be an interface feature in Qgis where one can click an "Add SVG Symbols" button that would bring up a file dialog.
The user would select the file or files they want to have added, and Qgis would copy them to ~/.qgis/svg. Additionally, allowing the user to
choose an available category or create a new category (this category would become a subfolder in .qgis/svg/) for organizing newly added
symbols. This would be a very user-friendly approach to making new symbols permanently available and well-organized.

Adding this functionality in tandem with an svg repo system would be really handy. This idea is covered in ticket #1063:
http://trac.osgeo.org/qgis/ticket/1063

Additional thoughts on organizing svg symbols, and making use of this organizational structure in Qgis are covered in ticket #1066:
http://trac.osgeo.org/qgis/ticket/1066

History

#1 - 2009-10-24 04:42 PM - Juirgen Fischer

support for ~/.qgis/svg added in commit:9dba0ae6 (SVN r11839)

#2 - 2009-10-26 10:54 AM - John Tull
I will leave this open until some followup on possible enhancements to the GUI are addressed. Having the ability to add symbols from either a preferences

feature or within the symbology tab of a vector layer would still be useful. Hopefully this will be touched on at the upcoming Vienna hackfest.

#3 - 2009-10-26 01:38 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

Replying to [comment:2 jctull]:
1 will leave this open until some followup on possible enhancements to the GUI are addressed. Having the ability to add symbols from either a

preferences feature or within the symbology tab of a vector layer would still be useful. Hopefully this will be touched on at the upcoming Vienna
hackfest.
http://trac.osgeo.org/qgis/ticket/1063
http://trac.osgeo.org/qgis/ticket/1066

Tim added support for adding new directories in the options in commit:3ade3944 (SVN r11845) and reloading symbol list using the context menu in the
symbol list was already there. So | think we're set.
